Possible error 500 while moving an issue to another project with SQLite
Status: Closed Start date: 2010-03-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

Hi,

I get an "Internal Error 500" if I try to move an issue from one project to another one. I could break down the error to the

following cause: the issue has the tracker "Error" but this tracker is not available in the destination project.

Workaround:

Select an appropriate new tracker in the move dialog.

What I expected:

A better error message, that I have to select a new tracker value.

Especially strange is the error message in the server log:

SQLite3::SQLException (cannot rollback - no transaction is active):

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/errors.rb:62

:in `check'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/resultset.rb

:56:in `check'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/resultset.rb

:48:in `commence'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/resultset.rb

:38:in `initialize'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/statement.rb

:136:in `new'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/statement.rb

:136:in `execute'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/database.rb:

188:in `execute'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/database.rb:

163:in `prepare'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/database.rb:

187:in `execute'

  C:/Programme/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/sqlite3/database.rb:

597:in `rollback'

  app/models/issue.rb:95:in `move_to'

  app/controllers/issues_controller.rb:307:in `move'

  app/controllers/issues_controller.rb:299:in `each'

  app/controllers/issues_controller.rb:299:in `move'

The message doesn't point to the real cause of the error.    

My installation:

Redmine 0.9.3 (Windows)

SQLite

Ruby 1.8.6 (i386-mswin32)

Rails 2.3.5

Database schema version 20100221100219

Associated revisions

Revision 3566 - 2010-03-12 15:51 - Jean-Philippe Lang

2025-08-23 1/2



Fixed: error while moving an issue to a project with disabled tracker with SQLite3 (#5049).

History

#1 - 2010-03-11 12:00 - Michael Jahn

I forgot to say: Great piece of software!

That's my first ticket, I have to say thanks. :)

#2 - 2010-03-12 15:54 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

The error is fixed in r3566 (reproduced with slite3 only).

You should now get a message that says that the issue could not be saved. Now we just need to display the reason why...

#3 - 2010-03-14 05:53 - xt zhang

Michael Jahn wrote:

I forgot to say: Great piece of software!

That's my first ticket, I have to say thanks. :)   

me 2.

no ticket yet.

#4 - 2010-03-16 11:37 - Michael Jahn

Many thanks for the quick fix!

#5 - 2010-04-11 16:35 - Jean-Philippe Lang

- Subject changed from Error 500 while moving an issue to another project to Possible error 500 while moving an issue to another project with SQLite

- Status changed from Resolved to Closed
